--
-- bobcatS160
-- This is the specialization to avoid global autoSteer mod
--
-- @author  PeterJ - euroDZN
-- @date  16/07/2013
--
-- http://eurodzn.wordpress.com/
--
-- Copyright (C) euroDZN, Confidential, All Rights Reserved.


autoSteer = {};

function autoSteer.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Steerable, specializations);
end;

function autoSteer:load(xmlFile)
end;
	
function autoSteer:delete()
end;

function autoSteer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function autoSteer:keyEvent(unicode, sym, modifier, isDown)
end;

function autoSteer:update(dt)
end;

function autoSteer:draw()
end;